Subject: bug#32999: closed (Re: bug#32999: 27.0.50; Typo in Elisp Reference)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Oct 2018 03:32:02 +0000

Your bug report

#32999: 27.0.50; Typo in Elisp Reference

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32999: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32999
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32999: 27.0.50; Typo in Elisp Reference
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Oct 2018 06:31:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Mauro Aranda <[email-masked]>
> Date: Tue, 9 Oct 2018 19:28:54 -0300
> 
> I found a typo in 'timerp' documentation.  Since it is a trivial fix,
> I decided to give the process of sending a patch a try.
> 
> I hope everything is according to Emacs Guidelines, but please correct
> me if I missed something.

Thanks, pushed to the emacs-26 branch.

> * doc/lispref/os.texi (Timers): Fix typo in 'timerp' documentation.

In the future, please mention the bug number, if known, in the commit
log message, and also include the Copyright-paperwork-exempt: header
if you didn't assign copyright for your contributions.  (If you are
interested, I can send you the assignment form, so that we will be
able to accept your contributions without size limitations.)

Subject: 27.0.50; Typo in Elisp Reference
From: Mauro Aranda <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Tue, 9 Oct 2018 19:28:54 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

I found a typo in 'timerp' documentation.  Since it is a trivial fix,
I decided to give the process of sending a patch a try.

I hope everything is according to Emacs Guidelines, but please correct
me if I missed something.
From 70912c314e1e965fd0da423225b0a52b3bf56e67 Mon Sep 17 00:00:00 2001
From: Mauro Aranda <[email-masked]>
Date: Tue, 9 Oct 2018 18:20:53 -0300
Subject: [PATCH] Fix typo in 'timerp' documentation

* doc/lispref/os.texi (Timers): Fix typo in 'timerp' documentation.
---
 doc/lispref/os.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/lispref/os.texi b/doc/lispref/os.texi
index 64c327c..d74fec5 100644
--- a/doc/lispref/os.texi
+++ b/doc/lispref/os.texi
@@ -1841,7 +1841,7 @@ Timers
 times and the function to invoke.
 
 @defun timerp object
-This predicate function returns non-@code{nil} of @code{object} is a
+This predicate function returns non-@code{nil} if @code{object} is a
 timer.
 @end defun
 
-- 
2.7.4